Subject: FINAL minutes from June 19 Re: draft minutes from our June 19 teleconf

From: Leslie Daigle <[email-masked]>
Date: Fri, 07 Jul 2006 10:22:43 -0400

Howdy,

Ted's was the only comment I received; I've incorporated that
and the final minutes are attached -- ready for public consumption.

Thanks!

Leslie.

Ted Hardie wrote:
> I'd like to update this:
> 
>> Ted: Assuming the IESG passes it, it would be August before the RFC Editor assigns a number.
>> ... The WG has a persistent problem; This adds time to the process.
>> ... If you look at the RFC Editor Queue, you'll see that it's also BCP 47. The BCP number never changes. If you want to give it a stable reference, you can use the BCP number.
> 
> This makes it sounds like the WG is at fault here, which isn't the case.  I think it would be better to say instead:
> 
> Ted: Assuming the IESG passes it, it would be August before the RFC Editor assigns a number.  This could be delayed further if issues or appeals are raised.
> ... If you look at the RFC Editor Queue, you'll see that it's also BCP 47. The BCP number never changes. If you want to give it a stable reference, you can use the BCP number.
> 
> 			thanks,
> 				Ted
> 
> At 6:48 PM -0400 6/29/06, Leslie Daigle wrote:
>> Please send me comments within the next week, or we will
>> consider these final.
>>
>> Also, I could not figure who these referred to, in the IRC
>> chat draft of minutes:
>>
>> +1.408.349.aaaa,
>> +1.650.320.aabb,
>>
>>
>> If they are to people I have not listed as attending, please
>> let me know!
>>
>> Leslie.
>>
>>
>>
>>
>>
>> <http://www.w3.org/> 
>> IETF/W3C Liaison Call
>> 19 June 2006
>>
>> Attendees
>>
>> Present
>>
>> Mark Nottingham,  Philippe Le Hégaret, Ted Hardie,  Lisa Dusseault, Thomas Roessler, Dan Connolly, Leslie Daigle
>> Regrets
>> Chair
>>
>> Leslie Daigle
>> Scribe
>>
>> Mark Nottingham
>>
>> Contents
>>
>> <>Topics
>> 1.	<>Action Item Review
>> 2.	<>TAG Work
>> 3.	<>IETF work
>> 4.	<>DMSP BoF
>> 5.	<>New Work Mailing List
>> 6.	<>RFC3066bis
>> 7.	<>Next Meeting, AOB
>> <>Summary of Action Items
>>
>>
>> Action Item Review
>>
>> DanC to add Note Well notice to WebDAV and URI list
>>
>> ACTION: [PENDING] DanC to look into adding "note well..." notice to webdav, uri lists [recorded in <http://www.w3.org/2005/08/15-ietf-w3c-irc>http://www.w3.org/2005/08/15-ietf-w3c-irc]
>>
>>
>>
>> Item is still pending.
>>
>> TAG Work
>>
>> Discussion of the implication of W3C TAG work to various pieces of pending IETF work.
>>
>> Specifically, "URNs, Namespaces and Registries"
>>
>> Leslie: Lisa provided a couple of documents WRT TAG work on URNs and registries
>>
>> Lisa: Has anyone looked into where the TAG is at since they published?
>>
>> Dan: It's actively in progress.
>>
>> Lisa: Rec is not to use new schemes to create new URIs?
>>
>> Leslie: Goal here is to figure out consequences for IETF work
>>
>> Dan: The DIX work is still early on. I made some comments, because they were using a new URI scheme.
>> ... It died down on the side of not minting a new scheme.
>> ... There's also an IETF RFC on registering a new scheme. We reviewed that, and included stuff about reuse.
>> ... Outstanding question of best practice WRT using URNs in XML Namspaces
>> ... IETF says do that, TAG draft says don't.
>>
>> Ted: Is it too early to look at?
>>
>> Dan: No. I'll send a pointer to the list.
>>
>> Lisa: WebDAV mounting draft is probably doing the right thing; doesn't require browser changes. If you can't introduce a scheme, only other place to introduce is in a MIME type.
>>
>> Lisa: Have started IETF Last Call; W3C is welcome to review (already forwarded to list)
>>
>> <http://www.ietf.org/internet-drafts/draft-reschke-webdav-mount-04.txt> http://www.ietf.org/internet-drafts/draft-reschke-webdav-mount-04.txt
>>
>> Ted: There are three methods of extension possible; new URI schemes, new methods, and new MIME types (when extending HTTP).
>> ... If we're not to be using new schemes (and we can probably agree that using new schemes for things that use HTTP is a bad idea),
>> ... And if we don't have any way to get new method support in clients, then the media type is the only other option.
>>
>> Dan: It seems like this is the least evil approach. It would be nice to remove the constraints.
>>
>> Lisa: such as?
>>
>> Dan: Browsers will dispatch on mime types happily, but they throw some things away.
>> ... Especially, they don't hand it the URI.
>>
>> Mnot: RSS subscription is a good example of this.
>>
>> Lisa: When you invent a new MIME type for this sort of thing, you have to include the URL. That's not always a good/easy thing to do.
>>
>> Dan: The TAG has talked about getting this fixed once in a while.
>>
>> Lisa: Microformats guys are looking at almost the same thing, except with link classes.
>>
>> Dan: I don't see the same problems there; they seem to work OK with existing browsers.
>>
>> Lisa: How much W3C involvement is there in Microformats?
>>
>> Dan: I work with them pretty closely, personally.
>>
>> Lisa: What if we wanted to define a class="webdav-share"?
>>
>> Dan: That's an interesting idea.
>>
>> Dan: That's a pretty straightforward mime type thing.
>>
>> Lisa: No; that allows you to download a calendar, not mount a share.
>>
>> Dan: Microformats is guerilla standards...
>> ... There is the profile mechanism in HTML to distinguish things.
>>
>> Lisa: uFormats will have a namespacing/extensibility problem if it takes off.
>>
>> Ted: Next step is for Dan to send a copy of the draft; anyone can comment. Is there anything else?
>>
>> IETF work
>>
>> Leslie: DIX and WARP
>>
>> Lisa: Rather than have two competing BoFs in Montreal, I've declared a combined BoF.
>> ... Pete Resnick to chair.
>> ... Related to W3C workshop a few months ago; e.g., Sam Hartman.
>> ... W3C has focused on what browsers should do; Sam is focused on new auth mechanism.
>>
>> <http://www1.ietf.org/mail-archive/web/ietf/current/msg41856.html>BOF Request: WARP - Web Authentication Resistant to Phishing: http://www1.ietf.org/mail-archive/web/ietf/current/msg41856.html
>>
>> DMSP BoF
>>
>> Ted:  Distributed Multimodal Synchronization Protocol [DMSP]
>>
>> Thomas:  Possibly relevant position papers / presentations from the workshop (re HTTP auth): <http://www.w3.org/2005/Security/usability-ws/program#32-dean-auth-for-web-services>http://www.w3.org/2005/Security/usability-ws/program#32-dean-auth-for-web-services
>>
>> Dan: Doesn't smell like standards work
>>
>> Ted: It does once you get past pairwise integration
>>
>> Dan: Are we there yet?
>>
>> Ted: Yes, to some degree; e.g., BREW
>> ... Will try to get in touch with / coordinate with Dave Raggett.
>>
>> New Work Mailing List
>>
>> Leslie: Bert Wijnen has handed off management of this mailing list to Loa Andersson.  Any need to follow-up here??
>>
>> Philippe: I don't have any news yet.
>>
>> Dan: Does the new work list work for anything?
>>
>> Leslie: It isn't a high-volume effort.
>>
>> Dan: When standards groups start stuff, do they actually send something there?
>>
>> Ted: We get stuff from OMA, PP, PP2, etc.
>> ... But it often isn't timely from some parties.
>>
>> Philippe: We have a conflict between timeliness and confidentiality.
>>
>> Dan: Is OASIS expected to participate? Do they?
>>
>> Leslie: Yes.
>>
>> Philippe: W3C has been bad in contributing, because people aren't aware, they forget, etc. It's another step in the process.
>>
>> RFC3066bis
>>
>> Update to "RFC 3066 Tags for Identification of Languages January 2001. "
>>
>> Philippe: This RFC has been approved, but it doesn't have a number yet. When is it expected to become an RFC?
>>
>> Ted: 3066 was a BCP; when the WG took on the task of revising it, they split it into two. The new registry is complete, but the definition of how matching works just went through LC now.
>>
>> Ted: Assuming the IESG passes it, it would be August before the RFC Editor assigns a number.
>> ... The WG has a persistent problem; This adds time to the process.
>> ... If you look at the RFC Editor Queue, you'll see that it's also BCP 47. The BCP number never changes. If you want to give it a stable reference, you can use the BCP number.
>>
>> Next Meeting, AOB
>>
>> Next meeting:  18 October, at 2pm US-ET.  Dan Connolly to chair.
>>
>> Dan:  Let the record show our thanks to Leslie for her service as IETF liaison to W3C
>> Dan:  and welcome Mark Nottingham.
>>
>> Summary of Action Items
>>
>> [PENDING] ACTION: DanC to look into adding "note well..." notice to webdav, uri lists [recorded in <http://www.w3.org/2005/08/15-ietf-w3c-irc>http://www.w3.org/2005/08/15-ietf-w3c-irc]
>>
> 
> 
IETF/W3C Liaison Call

19 June 2006

Attendees

Present

Mark Nottingham,  Philippe Le Hégaret, Ted Hardie,
Lisa Dusseault, Thomas Roessler, Dan Connolly, Leslie Daigle

Regrets

Chair

Leslie Daigle

Scribe

Mark Nottingham

Contents

Topics

Action Item Review

TAG Work

IETF work

DMSP BoF

New Work Mailing List

RFC3066bis

Next Meeting, AOB

Summary of Action Items

Action Item Review

DanC to add Note Well notice to WebDAV and URI list

ACTION: [PENDING]
DanC to look into adding "note well..." notice to webdav, uri lists
[recorded in http://www.w3.org/2005/08/15-ietf-w3c-irc]

Item is still pending.

TAG Work

Discussion of the implication of W3C TAG work to various pieces of
pending IETF work.

Specifically, "URNs, Namespaces and Registries"

Leslie: Lisa provided a couple of
documents WRT TAG work on URNs and registries

Lisa: Has anyone looked into where the
TAG is at since they published?

Dan: It's actively in progress.

Lisa: Rec is not to use new schemes to
create new URIs?

Leslie: Goal here is to figure out
consequences for IETF work

Dan: The DIX work is still early on. I
made some comments, because they were using a new URI scheme.

... It died down on the side of not minting a new scheme.

... There's also an IETF RFC on registering a new scheme. We reviewed
that, and included stuff about reuse.

... Outstanding question of best practice WRT using URNs in XML
Namspaces

... IETF says do that, TAG draft says don't.

Ted: Is it too early to look at?

Dan: No. I'll send a pointer to the list.

Lisa: WebDAV mounting draft is probably
doing the right thing; doesn't require browser changes. If you can't
introduce a scheme, only other place to introduce is in a MIME type.

Lisa: Have started IETF Last Call; W3C is
welcome to review (already forwarded to list)

http://www.ietf.org/internet-drafts/draft-reschke-webdav-mount-04.txt

Ted: There are three methods of extension
possible; new URI schemes, new methods, and new MIME types (when
extending HTTP).

... If we're not to be using new schemes (and we can probably agree
that using new schemes for things that use HTTP is a bad idea),

... And if we don't have any way to get new method support in clients,
then the media type is the only other option.

Dan: It seems like this is the least evil
approach. It would be nice to remove the constraints.

Lisa: such as?

Dan: Browsers will dispatch on mime types
happily, but they throw some things away.

... Especially, they don't hand it the URI.

Mnot: RSS subscription is a good example
of this.

Lisa: When you invent a new MIME type for
this sort of thing, you have to include the URL. That's not always a
good/easy thing to do.

Dan: The TAG has talked about getting
this fixed once in a while.

Lisa: Microformats guys are looking at
almost the same thing, except with link classes.

Dan: I don't see the same problems there;
they seem to work OK with existing browsers.

Lisa: How much W3C involvement is there
in Microformats?

Dan: I work with them pretty closely,
personally.

Lisa: What if we wanted to define a
class="webdav-share"?

Dan: That's an interesting idea.

Dan: That's a pretty straightforward mime
type thing.

Lisa: No; that allows you to download a
calendar, not mount a share.

Dan: Microformats is guerilla standards...

... There is the profile mechanism in HTML to distinguish things.

Lisa: uFormats will have a
namespacing/extensibility problem if it takes off.

Ted: Next step is for Dan to send a copy
of the draft; anyone can comment. Is there anything else?

IETF work

Leslie: DIX and WARP

Lisa: Rather than have two competing BoFs
in Montreal, I've declared a combined BoF.

... Pete Resnick to chair.

... Related to W3C workshop a few months ago; e.g., Sam Hartman.

... W3C has focused on what browsers should do; Sam is focused on new
auth mechanism.

BOF
Request: WARP - Web Authentication Resistant to Phishing:
http://www1.ietf.org/mail-archive/web/ietf/current/msg41856.html

DMSP BoF

Ted:
Distributed Multimodal Synchronization Protocol [DMSP]

Thomas:  Possibly
relevant position papers / presentations from the workshop (re HTTP
auth):
http://www.w3.org/2005/Security/usability-ws/program#32-dean-auth-for-web-services

Dan: Doesn't smell like standards work

Ted: It does once you get past pairwise
integration

Dan: Are we there yet?

Ted: Yes, to some degree; e.g., BREW

... Will try to get in touch with / coordinate with Dave Raggett.

New Work Mailing List

Leslie: Bert Wijnen has handed off
management of this mailing list to Loa Andersson.  Any need to
follow-up here??

Philippe: I don't have any news yet.

Dan: Does the new work list work for
anything?

Leslie: It isn't a high-volume effort.

Dan: When standards groups start stuff,
do they actually send something there?

Ted: We get stuff from OMA, PP, PP2, etc.

... But it often isn't timely from some parties.

Philippe: We have a conflict between
timeliness and confidentiality.

Dan: Is OASIS expected to participate? Do
they?

Leslie: Yes.

Philippe: W3C has been bad in
contributing, because people aren't aware, they forget, etc. It's
another step in the process.

RFC3066bis

Update to "RFC 3066 Tags for Identification of Languages January 2001.
"

Philippe: This RFC has been approved, but
it doesn't have a number yet. When is it expected to become an RFC?

Ted: 3066 was a BCP; when the WG took on
the task of revising it, they split it into two. The new registry is
complete, but the definition of how matching works just went through LC
now.

Ted: Assuming the IESG passes it, it
would be August before the RFC Editor assigns a number. This could be
delayed further if issues or appeals are raised. If you look at the RFC
Editor Queue, you'll see that it's also BCP 47. The BCP number never
changes. If you want to give it a stable reference, you can use the BCP
number.

Next Meeting, AOB

Next meeting:  18 October, at 2pm US-ET.  Dan Connolly to
chair.

Dan:
Let the record show our thanks to Leslie for her service as IETF
liaison to W3C

Dan:
and welcome Mark Nottingham.

Summary of Action Items

[PENDING] ACTION:
DanC to look into adding "note well..." notice to webdav, uri lists
[recorded in http://www.w3.org/2005/08/15-ietf-w3c-irc]